#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

%define		snap	20180121
%define		commit	a6a622ffb680c55da0de787ff93b80280498330f

Summary:	HID API for Windows, Linux and Mac OS X
Summary(pl.UTF-8):	API HID dla systemów Windows, Linux oraz Mac OS X
Name:		hidapi
Version:	0.8.0
Release:	0.%{snap}.1
License:	GPL v3 or BSD or HIDAPI
Group:		Libraries
Source0:	https://github.com/signal11/hidapi/archive/%{commit}/%{name}-%{version}.tar.gz
# Source0-md5:	dfbec50a01bf8c45cce003293648013e
URL:		https://github.com/signal11/hidapi/
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libtool
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HIDAPI is a multi-platform library which allows an application to
interface with USB and Bluetooth HID-Class (Human Interface Device)
devices on Windows, Linux, and Mac OS X.

%description -l pl.UTF-8
HIDAPI to wieloplatformowa biblioteka pozwalająca aplikacjom
współpracować z urządzeniami USB i Bluetooth klasy HID (Human
Interface Device) w systemach Windows, Linux oraz Mac OS X.

%package devel
Summary:	Header file for HIDAPI library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki HIDAPI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-devel >= 1.0

%description devel
Header file for HIDAPI library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki HIDAPI.

%package static
Summary:	Static HIDAPI library
Summary(pl.UTF-8):	Statyczna biblioteka HIDAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static HIDAPI library.

%description static -l pl.UTF-8
Statyczna biblioteka HIDAPI.

%package apidocs
Summary:	HIDAPI API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki HIDAPI
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for HIDAPI library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki HIDAPI.

%prep
%setup -q -n %{name}-%{commit}

cp linux/README.txt README-linux.txt

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__libtoolize}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%if %{with apidocs}
cd doxygen
doxygen Doxyfile
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# included hid.rules as doc only - it uses e.g. MODE="0666", so requires some adjustments at least for stricter permissions
%doc AUTHORS.txt LICENSE.txt LICENSE-bsd.txt LICENSE-orig.txt README.txt README-linux.txt udev/99-hid.rules
%attr(755,root,root) %{_libdir}/libhidapi-hidraw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhidapi-hidraw.so.0
%attr(755,root,root) %{_libdir}/libhidapi-libusb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhidapi-libusb.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhidapi-hidraw.so
%attr(755,root,root) %{_libdir}/libhidapi-libusb.so
%{_libdir}/libhidapi-hidraw.la
%{_libdir}/libhidapi-libusb.la
%{_includedir}/hidapi
%{_pkgconfigdir}/hidapi-hidraw.pc
%{_pkgconfigdir}/hidapi-libusb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libhidapi-hidraw.a
%{_libdir}/libhidapi-libusb.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doxygen/html/*
%endif
%changelog
* Sun Jan 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hidapi.git;a=log;h=master

* Sun Jan 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a2d215a
- up to 0.8.0 snap

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 881ed13
- noarch apidocs

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> a1fa7d8
- new

